// Greg Schaeffer
// ICFP 2001 Programming Competition
//
// File: interpret.h
//
// Print out the SML/NG code!

#ifndef _INTERPRET_H_
#define _INTERPRET_H_

#include <iostream>
#include <stdlib.h>
#include "terplist.h"

void interpretit()
{
   terpnode* temp = head_terp;
   tagnode* temptag;
   textnode* temptext;

   while (temp!=NULL)
   {
      temptag = temp->head_tagb;
      while (temptag!=NULL)
      {
         cout<<'<';
         if (temptag->tag[0] == '/') cout<<'/';
         cout<<temptag->tag[1];
         if (temptag->tag[1] == 'E') cout<<'M';
         if (temptag->tag[1] == 'T') cout<<'T';
         if (temptag->tag[1] == 'P') cout<<'L';
         cout<<'>';
         temptag = temptag->next;
      }
      temptag = temp->head_taga;
      while (temptag!=NULL)
      {
         cout<<'<';
         if (temptag->tag[0] == '/') cout<<'/';
         cout<<temptag->tag[1];
         if (temptag->tag[1] == 'E') cout<<'M';
         if (temptag->tag[1] == 'T') cout<<'T';
         if (temptag->tag[1] == 'P') cout<<'L';
         cout<<'>';
         temptag = temptag->next;
      }
      temptext = temp->head_text;
      while (temptext!=NULL && temptext->text!='>')
      {
         cout<<temptext->text;
         temptext = temptext->next;
      }
      temp = temp->next;
   }
}

#endif